# class Raven::Breadcrumb

### Attributes

category[RW]
data[RW]
level[RW]
message[RW]
timestamp[RW]
type[RW]

### Public Class Methods

new() click to toggle source

    # File sentry-raven/lib/raven/breadcrumbs.rb, line 5
    def initialize
      @category = nil
      @data = {}
      @level = nil
      @message = nil
      @timestamp = Time.now.to_i
      @type = nil
    end

### Public Instance Methods

to_hash() click to toggle source

    # File sentry-raven/lib/raven/breadcrumbs.rb, line 14
    def to_hash
      {
        :category => @category,
        :data => @data,
        :level => @level,
        :message => @message,
        :timestamp => @timestamp,
        :type => @type
      }
    end